Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class TemplateNameAttributeContentAssist

    public class TemplateNameAttributeContentAssist
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXSLContentAssistRequest

Provides content assistance for XSLT Named Templates. It provides a list of available call-template names that have already been used with in the stylesheet.

## Constructor Summary

`TemplateNameAttributeContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`public java.util.ArrayList` | `getCompletionProposals()`

## Constructor Detail

## TemplateNameAttributeContentAssist

`public TemplateNameAttributeContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

Provides content assistance for XSLT Named Templates. Will provide a list of proposals based on the available named-templates if any are defined in the XSL Stylesheet model. Only provides a list of named templates that haven't already been added as a proposal. Does not check to see if it's already is defined in the current stylesheet.

## Methods Detail

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

### Returns

`java.util.ArrayList`